using System;

namespace Palindrom_safl
{
    class Program
    {
        
        static void Main()
        {
            Console.Write("Broj ucenika? ");
            int N = int.Parse(Console.ReadLine());
            Console.Write("Broj bananica? ");
            int M = int.Parse(Console.ReadLine());
            Console.Write("Broj grupa? ");
            int K = int.Parse(Console.ReadLine());
            if (K > N)
            {
                Console.WriteLine("Nie");
                return;
            }
            
            PodelaBananica(N, M, K);
        }
        static void PodelaBananica(int N, int M, int K)
        {
            int brLjudi = N;
            int brBananica = M;
            int g = 0;
            int[] BrLjudiZaGrupe = new int[K];
            
            int i = 0;
            do
            {
                BrLjudiZaGrupe[i] += 1;   
                i++;
                if (i == K)
                {
                    i = 0;
                }
                brLjudi--;
            } while (brLjudi > 0);
            IspisiNiz(BrLjudiZaGrupe);
            i = 0;
            for (int j = 0; j < K; j++)
            {
                int[] brBananicaPoGrupi = new int[BrLjudiZaGrupe[j]];
                do
                {
                    if (brBananica < 0)
                    {
                        Console.WriteLine("Nie");
                    }
                    brBananicaPoGrupi[g] += g + 1;
                    g++;
                } while (g <= j);
                g = 0;

            }
            if(brBananica >= 0)
            {
                Console.WriteLine("Tak");
            }            
            
        }
        static void IspisiNiz(int[] grupe)
        {
            for (int i = 0; i < grupe.GetLength(0); i++)
            {
                Console.Write(grupe[i] + " ");
            }
        }


    }
}